## pyvirtualdisplay 2.2

=== requirements.txt ===
EasyProcess

## pyvirtualdisplay 0.2.1

=== debian/changelog ===
pyvirtualdisplay (0.2.1-2) unstable; urgency=medium

  * debian/control
    - add xvfb to depends and xserver-xephyr to suggests: one of them has to be
      available to instantiate the Display() class; Closes: #860501

 -- Sandro Tosi <morph@debian.org>  Tue, 18 Apr 2017 20:13:15 -0400

pyvirtualdisplay (0.2.1-1) unstable; urgency=medium

  * New upstream release
  * declare compat level 10

 -- Sandro Tosi <morph@debian.org>  Tue, 13 Dec 2016 19:16:11 -0500

pyvirtualdisplay (0.2-1) unstable; urgency=low

  * Initial release; Closes: 804843

 -- Sandro Tosi <morph@debian.org>  Thu, 15 Sep 2016 11:36:14 +0000

=== debian/control ===
Source: pyvirtualdisplay
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 10), dh-python,
               python-all,
               python-easyprocess,
               python-setuptools,
               python3-all,
               python3-easyprocess,
               python3-setuptools,
Standards-Version: 3.9.8
Homepage: https://github.com/ponty/pyvirtualdisplay
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pyvirtualdisplay.git
Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/pyvirtualdisplay.git

Package: python-pyvirtualdisplay
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, xvfb
Recommends: ${python:Recommends}
Suggests: ${python:Suggests}, xserver-xephyr
Description: python wrapper for Xvfb, Xephyr and Xvnc - Python 2.X
 pyvirtualdisplay is a python wrapper for Xvfb, Xephyr and Xvnc
 .
 This package contains the python 2 version of pyvirtualdisplay

Package: python3-pyvirtualdisplay
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, xvfb
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}, xserver-xephyr
Description: python wrapper for Xvfb, Xephyr and Xvnc
 pyvirtualdisplay is a python wrapper for Xvfb, Xephyr and Xvnc
 .
 This package contains the python 3 version of pyvirtualdisplay

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=pyvirtualdisplay
export PYBUILD_DISABLE=test
%:
	dh $@ --with python2,python3 --buildsystem=pybuild

=== debian/watch ===
# try also https://pypi.debian.net/PyVirtualDisplay/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/PyVirtualDisplay/PyVirtualDisplay-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pyvirtualdisplay 2.2

=== debian/changelog ===
pyvirtualdisplay (2.2-2) unstable; urgency=medium

  * orphan

 -- Sandro Tosi <morph@debian.org>  Wed, 28 Feb 2024 12:37:21 -0500

pyvirtualdisplay (2.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Sandro Tosi ]
  * New upstream release; Closes: #997648
  * Use the new Debian Python Team contact name and address
  * debian/watch
    - track github releases
  * debian/python3-pyvirtualdisplay.docs
    - install the new README file
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Wed, 03 Nov 2021 22:43:35 -0400

pyvirtualdisplay (0.2.1-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.

  [ Sandro Tosi ]
  * Drop python 2 support
  * debian/control
    - bump Standards-Version to 4.4.0 (no changes needed)
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Tue, 27 Aug 2019 22:05:03 -0400

=== debian/control ===
Source: pyvirtualdisplay
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Build-Depends: debhelper-compat (= 12), dh-python,
               python3-all,
               python3-easyprocess,
               python3-setuptools,
Standards-Version: 4.5.0
Homepage: https://github.com/ponty/pyvirtualdisplay
Vcs-Git: https://salsa.debian.org/python-team/packages/pyvirtualdisplay.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pyvirtualdisplay

Package: python3-pyvirtualdisplay
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, xvfb
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}, xserver-xephyr
Description: python wrapper for Xvfb, Xephyr and Xvnc
 pyvirtualdisplay is a python wrapper for Xvfb, Xephyr and Xvnc
 .
 This package contains the python 3 version of pyvirtualdisplay

## pyvirtualdisplay 3.0

=== debian/changelog ===
pyvirtualdisplay (3.0-2) unstable; urgency=medium

  * Build using pybuild-plugin-pyproject
  * Update Standards-Version to 4.7.2

 -- Scott Talbert <swt@techie.net>  Thu, 18 Sep 2025 18:29:07 -0400

pyvirtualdisplay (3.0-1) unstable; urgency=medium

  * Unorphan (Closes: #888217)
  * Update Standards-Version to 4.7.0
  * Update to new upstream release 3.0
  * Use valid short name in d/copyright
  * Capitalize Python in package description
  * Enable tests
  * Enable autopkgtests

 -- Scott Talbert <swt@techie.net>  Fri, 14 Feb 2025 20:20:09 -0500

=== debian/control ===
Source: pyvirtualdisplay
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Scott Talbert <swt@techie.net>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-easyprocess,
               python3-pil <!nocheck>,
               python3-psutil <!nocheck>,
               python3-pytest <!nocheck>,
               python3-setuptools,
               vncdotool <!nocheck>,
               x11-utils <!nocheck>,
               xserver-xephyr <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://github.com/ponty/pyvirtualdisplay
Vcs-Git: https://salsa.debian.org/python-team/packages/pyvirtualdisplay.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pyvirtualdisplay
Testsuite: autopkgtest-pkg-pybuild

Package: python3-pyvirtualdisplay
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, xvfb
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}, xserver-xephyr
Description: Python wrapper for Xvfb, Xephyr and Xvnc
 pyvirtualdisplay is a Python wrapper for Xvfb, Xephyr and Xvnc
 .
 This package contains the Python 3 version of pyvirtualdisplay

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=pyvirtualdisplay
export PYBUILD_TEST_ARGS=--ignore tests/test_race.py -v
%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%pyvirtualdisplay-$1.tar.gz%" \
https://github.com/ponty/PyVirtualDisplay/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
